;;;                                                                    ;
;;;  VLRTS.LSP                                                        ;
;;;                                                                    ;
;;;  Copyright 1987, 1988, 1990, 1992, 1994, 1996, 1997, 1998          ;
;;;  by Autodesk, Inc. All Rights Reserved.                            ;
;;;                                                                    ;
;;;  You are hereby granted permission to use, copy and modify this    ;
;;;  software without charge, provided you do so exclusively for       ;
;;;  your own use or for use by others in your organization in the     ;
;;;  performance of their normal duties, and provided further that     ;
;;;  the above copyright notice appears in all copies and both that    ;
;;;  copyright notice and the limited warranty and restricted rights   ;
;;;  notice below appear in all supporting documentation.              ;
;;;                                                                    ;
;;;  Incorporation of any part of this software into other software,   ;
;;;  except when such incorporation is exclusively for your own use    ;
;;;  or for use by others in your organization in the performance of   ;
;;;  their normal duties, is prohibited without the prior written      ;
;;;  consent of Autodesk, Inc.                                         ;
;;;                                                                    ;
;;;  Copying, modification and distribution of this software or any    ;
;;;  part thereof in any form except as expressly provided herein is   ;
;;;  prohibited without the prior written consent of Autodesk, Inc.    ;
;;;                                                                    ;
;;;  AUTODESK PROVIDES THIS SOFTWARE "AS IS" AND WITH ALL FAULTS.      ;
;;;  AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF           ;
;;;  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK,       ;
;;;  INC. DOES NOT WARRANT THAT THE OPERATION OF THE SOFTWARE          ;
;;;  WILL BE UNINTERRUPTED OR ERROR FREE.                              ;
;;;                                                                    ;
;;;  Restricted Rights for US Government Users.  This software         ;
;;;  and Documentation are provided with RESTRICTED RIGHTS for US      ;
;;;  US Government users.  Use, duplication, or disclosure by the      ;
;;;  Government is subject to restrictions as set forth in FAR         ;
;;;  12.212 (Commercial Computer Software-Restricted Rights) and       ;
;;;  DFAR 227.7202 (Rights in Technical Data and Computer Software),   ;
;;;  as applicable.  Manufacturer is Autodesk, Inc., 111 McInnis       ;
;;;  Parkway, San Rafael, California 94903.                            ;
;;;                                                                    ;

;;;
;;; Sample VLISP RTS init file to be placed in
;;; VLRTS home or one of ACAD library path directory;
;;; implements default initialization scheme
;;;

(defun vl-eval-str (str) (eval (read str)))
(vl-acad-defun 'vl-eval-str)

(defun c:vl-eval (/ sv-txtev str)
  (setq sv-txtev (getvar "TEXTEVAL"))
  (setvar "TEXTEVAL" 0)
  (PROMPT "To enter list expression start it with blank\n")
  (setq str (getstring t "VLISP/RTS eval: "))
  (setvar "TEXTEVAL" sv-txtev)
  (print (vl-eval-str str))
  (princ)
  )
(princ "VL-EVAL-STR C:VL-EVAL defined\n")

(defun vl-load (fnm) (load fnm))
(vl-acad-defun 'vl-load)

(defun c:vl-load (/ s)
  (setq s (getstring "VLISP/RTS load file: ")
	s (cond
	    ((= s "") nil )
	    ((findfile s) )
	    ((VL-FILENAME-EXTENSION s) nil )
            ((findfile (Strcat s ".VLX")) )
	    ((findfile (strcat s ".FAS")) )
	    ((findfile (Strcat s ".LSP")) )
	    (t nil ) )
	)
  (if (or s
	  (setq s (getfiled "VLISP/RTS load file"
			    (getvar "MENUNAME")
			    "LSP;FAS;VLX"
			    2 ) ) )
    (progn
      (princ (strcat "\n; " s " to be loaded\n"))
      (print (load s))
      )
    )
  (princ)
  )
(princ "VL-LOAD, C:VL-LOAD defined\n")

(defun C:VLRTS-AL-INIT ()
  (VL-INIT)
  (if S::STARTUP (S::STARTUP))
  )

;(princ "\n; enter VLRTS-AL-INIT to load ACAD standard files in VLRTS\n")

(if (null menugroup)
  (defun menugroup (arg) arg)
  )

(princ)
;;; EOF
